Last modified: 2011-02-08 21:56:11 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16272 - Several problems with styles for thumbnails (thumb) in PageCSS
Several problems with styles for thumbnails (thumb) in PageCSS
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
unspecified
All All
: High trivial with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
http://fr.wikipedia.org/wiki/Discussi...
:
Depends on:
Blocks: css
  Show dependency treegraph
 
Reported: 2008-11-07 15:09 UTC by STyx
Modified: 2011-02-08 21:56 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description STyx 2008-11-07 15:09:11 UTC
1)
There is many (injustified) differences between screen and printer preview and 
printer preview generates awful borders. So class "thumb" can't be used by templates such that

http://fr.wikipedia.org/wiki/Mod%C3%A8le:D%C3%A9but_d%27illustration

and

http://fr.wikipedia.org/wiki/Mod%C3%A8le:Encadr%C3%A9_texte.

There certainly is changes in http://fr.wikipedia.org/skins-1.5/monobook/main.css 
(http://svn.wikimedia.org/svnroot/mediawiki/trunk/phase3/skins/monobook/main.css)
that has not been reported in http://fr.wikipedia.org/skins-1.5/common/commonPrint.css 
(http://svn.wikimedia.org/svnroot/mediawiki/trunk/phase3/skins/common/commonPrint.css)

I think, main.css should be copied in commonPrint.css.

2)
Futhermore, this style

div.thumb {
 border-color: White;
}

should be replaced by 

div.thumb {
 border-color: transparent;
}

3)
It's a good idea to add 

.thumbimage { background:white; }

directly in main.css.

4)
used "border" instead of "margin" is a bad thing. I don't the reason why ; but I'm sure it's a bad one.

5) 
more generally, CSS code is very poor (too large scopes, too many stuff). I think a clean up is necessary.
Comment 1 Derk-Jan Hartman 2009-05-12 23:07:52 UTC
I think it uses border and color:white to prevent the h2 line from connecting to the image. It indeed is somewhat of "bad reason", but it does work.
Comment 2 Bryan Baron 2009-07-22 00:51:42 UTC
Bug 8814 might be related.
Comment 3 Derk-Jan Hartman 2010-04-18 15:16:28 UTC
1: was done a while ago during the vector work.
2 and 4: part of Bug 8814
3: I suggest we retool this ticket for this specific issue, or we open a separate ticket for it.
5: Too broad an issue.
Comment 4 Krinkle 2010-12-27 23:15:53 UTC
The scope of this bug is indeed to broad.

The border to margin has been fixed in r79086.

(In reply to comment #1)
> I think it uses border and color:white to prevent the h2 line from connecting
> to the image. It indeed is somewhat of "bad reason", but it does work.

I dont consider it a problem nor a bug if the underline of the headings connect to the edge of a thumbnail as long as it doesnt go over it. But, for what it's worth, the room around the image is now preserved by margin. And to continue to make the underline stop when it hits the margin see https://bugzilla.wikimedia.org/show_bug.cgi?id=26449#c7 for that.

By adding { overflow: hidden; } to H1, H2, H3, H4, H5, H6 the underline doesn't continue.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links